Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor
Class XmlLocation

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlLocation

    public class XmlLocation

extends java.lang.Object

Location in a XmlDocument

Author:
  ole.matzura

Constructor Summary
`XmlLocation(int line, int column)`
`XmlLocation(int line, int column, org.apache.xmlbeans.XmlObject xmlObject, org.apache.xmlbeans.SchemaType schemaType, java.lang.String documentation)`

Method Summary
`int` | `getColumn()`
`java.lang.String` | `getDocumentation()`
`int` | `getLine()`
`org.apache.xmlbeans.SchemaType` | `getSchemaType()`
`org.apache.xmlbeans.XmlObject` | `getXmlObject()`
`void` | `setDocumentation(java.lang.String documentation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlLocation

    public XmlLocation(int line,
                       int column)

### XmlLocation

    public XmlLocation(int line,
                       int column,
                       org.apache.xmlbeans.XmlObject xmlObject,
                       org.apache.xmlbeans.SchemaType schemaType,
                       java.lang.String documentation)

Method Detail

### getColumn

    public int getColumn()

### getLine

    public int getLine()

### getSchemaType

    public org.apache.xmlbeans.SchemaType getSchemaType()

### getXmlObject

    public org.apache.xmlbeans.XmlObject getXmlObject()

### getDocumentation

    public java.lang.String getDocumentation()

### setDocumentation

    public void setDocumentation(java.lang.String documentation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.